Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.security
Class AsymmetricEncryptionFilter.IdentityInputStream

`java.lang.Object
java.io.InputStream
com.tangosol.io.WrapperInputStream
com.tangosol.net.security.AsymmetricEncryptionFilter.IdentityInputStream`

All Implemented Interfaces:
  InputStreaming, java.io.Closeable

Enclosing class:
  AsymmetricEncryptionFilter

      public class AsymmetricEncryptionFilter.IdentityInputStream

extends WrapperInputStream

Stream which reads an unencrypted identity header followed by an encrypted payload.

Field Summary
`protected java.security.cert.Certificate` | `m_certificate`
`protected ProtocolContext` | `m_context`
`protected java.io.InputStream` | `m_streamInner`

Constructor Summary
`AsymmetricEncryptionFilter.IdentityInputStream(java.io.InputStream stream)` Construct a IdentityInputStream around the supplied stream.

Method Summary
`void` | `close()` Close the InputStream and release any system resources associated with it.
`protected java.security.cert.Certificate` | `readIdentity()` Read the identity from the inner stream and return it as a Certificate.
`void` | `setProtocolContext(ProtocolContext context)` Set the current protocol context.

Methods inherited from class com.tangosol.io.WrapperInputStream
`available, ensureInputStream, getInputStream, mark, markSupported, read, read, read, reset, setInputStream, skip`

Field Detail

### m_streamInner

    protected java.io.InputStream m_streamInner

### m_context

    protected ProtocolContext m_context

### m_certificate

    protected java.security.cert.Certificate m_certificate

Constructor Detail

### AsymmetricEncryptionFilter.IdentityInputStream

    public AsymmetricEncryptionFilter.IdentityInputStream(java.io.InputStream stream)

  Construct a IdentityInputStream around the supplied stream.
  Parameters:
    `stream` - the stream to wrap

Method Detail

### setProtocolContext

    public void setProtocolContext(ProtocolContext context)

  Set the current protocol context.
  Parameters:
    `context` - the current context of the protocol.

### readIdentity

    protected java.security.cert.Certificate readIdentity()

  Read the identity from the inner stream and return it as a Certificate.
  Returns:
    the identity in the form of a Certificate

### close

    public void close()
               throws java.io.IOException

  Close the InputStream and release any system resources associated with it.
  Specified by:
    `close` in interface `InputStreaming`
  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `WrapperInputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.